| Home | Libraries | People | FAQ | More

## Function operator==

boost::mpi::operator== — Determines whether two communicators are identical.

## Synopsis

    BOOST_MPI_DECL bool
    operator==(const communicator & comm1, const communicator & comm2);

## Description

Equivalent to calling `MPI_Comm_compare` and checking whether the result is `MPI_IDENT`.

Returns: | True when the two communicators refer to the same underlying MPI communicator.